@section("header")
    <header class="row align-items-center bg-sde-blue">
        <img src="{{ URL::asset('/images/logos/Logo-hvid.svg') }}" onclick="window.location.href = '{{ route("root.index") }}';" class="brand cursor-pointer" alt="Syddansk Erhvervsskole">

        @auth
            <a href="{{ route("users.account") }}" class="btn btn-dark text-white m-0 ml-auto">Bruger: {{ ucfirst(Auth::user()->name_first) }} {{ ucfirst(Auth::user()->name_last) }}</a>
            <a href="{{ route('users.logout') }}" class="btn btn-dark text-white m-0 ml-1 mr-1">Log ud</a>
        @else
            <a href="{{ route('users.login') }}" class="btn btn-dark text-white m-0 ml-auto mr-1">Log ind</a>
        @endauth

    </header>
@endsection
