@extends("app.layout.base")

@section("title")
    Account
@endsection

@section("content")
    <main class="justify-unset">
        <h1 class="text-center sde-blue mt-1">{{__('msg.konto')}}</h1>
        <form method="post" action="{{ route("users.accountupdate", ['user' => Auth::user()]) }}" enctype="multipart/form-data">
            @csrf
            @method("put")

            @if(\App\Resource::query()->where("id", "=", Auth::user()->resource_id)->first() !== null)
                <img class="m-auto" style="width: calc(100% - 72px);" src="{{ \App\Resource::query()->where("id", "=",Auth::user()->resource_id)->first()->filename }}">
            @else
                @if(request()->cookie("mode") == "dark")
                    <img class="m-auto" style="width: calc(100% - 72px);" src="{{ asset("/images/icons/user-hvid.svg") }}">
                @else
                    <img class="m-auto" style="width: calc(100% - 72px);" src="{{ asset("/images/icons/user.svg") }}">
                @endif
            @endif

            <span>{{__('msg.profilbillede')}}:</span>
            <input type="file" name="resource" accept="image/*">
            <button type="submit" class="btn text-center btn-sde-blue mt-1">{{__('msg.ændrer')}}</button>
            <a onclick="window.history.back()" class="btn text-center btn-sde-blue mt-1">{{__('msg.tilbage')}}</a>
        </form>
    </main>
@endsection
