@extends("user.layout.base")

@section("title")
    Login
@endsection

@section("content")
    <main class="h-100 bg-sde-blue">
        <div class="brand">
            <img src="{{URL::asset('/images/logos/Logo-hvid.svg')}}" alt="Syddansk Erhvervsskole">
        </div>
        <form action="{{ route('users.forgot') }}" method="post">
            @csrf
            <input class="appinput" type="email" name="email" placeholder="Email" required>
            <input class="btn btn-dark" type="submit" value="Reset Password">
            <a class="btn btn-dark text-center" onclick="window.history.back()">Tilbage</a>
        </form>
    </main>
@endsection
